# Preview the Stripe subscription change Generates a preview of the invoice that Stripe will create for the customer if their subscription is changed to a new plan. The invoice will be a prorated invoice for the price difference between current and new subscription plans for the remainder of the current billing period. The invoice will be billed immediately upon changing subscription. The invoice amount may be negative if the customer is changing to a lower-priced plan. Note: This method does not modify the user's subscription. Endpoint: POST /zephr/payment/stripe/subscription/{subscriptionId}/change-previews Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Path parameters: - `subscriptionId` (string, required) The ID of the Stripe subscription to change. ## Request fields (application/json): - `plan_id` (string, required) The new Stripe price plan ID. Example: "price_H8eIeMFwMawg6w" ## Response 200 fields (*/*): - `total` (number) The total amount of the prorate invoice in the relevant currency's lowest denomination (e.g. pence). Example: 5000 - `sub_total` (number) The total amount of the prorate invoice minus tax in the relevant currency's lowest denomination (e.g. pence). Example: 4500 ## Response 400 fields ## Response 401 fields